<!--
  Generated template for the PerluKirimPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

   <ion-navbar color="haldin-header" hideBackButton="true">
    <ion-buttons left>
      <button ion-button icon-only (click)="goBack()">
        <ion-icon name="arrow-back"></ion-icon>
      </button>
    </ion-buttons>
    <ion-title>
     <h3 style="margin-right: auto; margin-left: auto;"><span class="font-color-green">Perlu </span><span class="font-color-blue">Kirim</span></h3>
    </ion-title>
  </ion-navbar>

</ion-header>


<ion-content>

<ion-item class="item-remove-animate item-avatar-right" *ngFor="let item of data_item">
    <h2>{{item.name}} #{{item.confirmationNumber}}</h2>

    <p>{{item.address}}<br /> {{item.regency}}-{{item.province}}-{{item.postal_code}}</p>
	<p>
		Ship By : <b *ngIf=" item.code != '0'">{{item.code}} - {{item.description}}</b>
	</p>
	
		<div *ngIf=" item.code == 'none'"><b>Ambil Langsung di HO Cibitung</b></div>
		<div *ngIf=" item.code == '0'"><b>Ambil Langsung di HO Cibitung</b></div>
		<div *ngIf=" item.code == 'none1'"><b>Ambil Langsung di Bella Terra</b></div>
		<div *ngIf=" item.code == 'none2'"><b>Ambil Langsung di Yogya</b></div>
		<div *ngIf=" item.code == 'none3'"><b>Ambil Langsung di Kendari</b></div>
		<div *ngIf=" item.code == 'none4'"><b>Ambil Langsung di Bali</b></div>
	
    <div class="row order-policy-time">

        <div class="col col-50 button" style="background-color: #72a257;" (click)="openDocPage(item.id)">
            <p style="color:#fff;"><ion-icon name="download"></ion-icon> Download OC</p>
        </div>
		
		
			<div class="col text-right button" style="background-color: #20B2AA;" *ngIf=" item.status_pkirim == '1'">
				<p style="color:#fff;"><ion-icon name="archive"></ion-icon> Sudah Diproses</p>
			</div>
		
		
		
			<div class="col text-right button" style="background-color: #DC143C;" (click)="prosesKirim(item.id)" *ngIf=" item.status_pkirim != '1'">
				<p style="color:#fff;"><ion-icon name="archive"></ion-icon> Proses Kirim</p>
			</div>
		
    </div>
    <div class="welcome-custom-icon">
        <span class="ti-angle-right"></span>
    </div>
</ion-item>
</ion-content>
